		THE FORTRAN IV COMPILER
  
 	The FORTRAN IV compiler is an optimizing Fortran compiler 
 capable of producing in-line or threaded code.
  
 	By convention   /SW  sets the switch action, and  /NOSW or /-SW
  negates the switch action (SW  represents a switch). The command line to the 
 compiler looks like
  
 	Object-File, List-File/listswitch = Source-File/switches
  
 The default extensions are .FTN for the Source-File, and .OBJ for the
 Object-File.
 
Further HELP may be obtained by typing HELP FOR KEYWORD, using
one of the following keywords.
	ERROR		(Options for getting HELP on errors)
	ERROR Rnn	(HELP for a specific Runtime error number)
	ERROR Cx	(HELP for a specific Compile error letter)
	SWITCHES	(Summary of FOR compiler switches)
	LIST		(Listing Switch Summary)
  
 For help on FORTRAN IV-PLUS type HELP F4P
2	ERROR
	@FORERROR.HLP
2	SWITCHES
		  FOR Compiler Switch Options
 
		/CD		specify type of output object code
		/DE		compile debug lines
		/DI		expanded listings of internal diagnostics
		/EX		allow comments in columns 73-80
		/ID		print compiler version number
		/I4		allocate 2 words/integer
		/LI		list switch
		/LO		print program names on user terminal
		/NOOP		disable optimisations
		/OP		enable optimisations
		/RO		generate read only code
		/SN		include internal sequence numbers
		/SP		spool listing file
		/VA		enale vectoring of arrays
		/WR		enable warning diagnostics
 
 Switch default summary:
  
 	/CD:THR/NODE/NODI/NOEX/NOI4/NOLA/LI:3/LO/NORO/SN/SP/VA/WR
	
 HELP on any of these switches may be obtained by typing  HELP FOR <switch>.
 where   sw  is the desired switch.
 
2	CD
 /CD:xxx	Selects type of object code to be generated.  Valid values are:

		EAE - select code for EAE hardware
		EIS - select code for EIS hardware
		FIS - select code for EIS and FIS hardware
		THR - select threaded code
 
2	DE
 /DE		Compile lines with a D in column 1.  These lines are 
 		treated as comment lines by the default /NODE switch.
  
2	DI

 /DI		Enables expanded listings of compiler internal diagnostic
		information

2	EX
 /EX		Allows source line input comments from columns 73-80.
		The default (/NOEX) reads only the first 72 columns.)

2	ID
 /ID		Prints out the compiler version number.  The default is
 		/NOID.
  
2	I4
 /I4		Allocate two words for default length integer and 
 		logical variables.  /NOI4 is the default.
  
2	LIST
 FOR LISTING OPTIONS
 /LI:n		Specifies listing options, 0<=n<=7.(Defaults to LI:3)
  
	n=0	List diagnostics only.

	n=1	List source program and diagnostics only.

	n=2	List storage map and diagnostics only.

	n=4	List generated code and diagnostics only.

	For combinations of the above, add together the numeric values, e.g.

	n=5	List generated code, source program and diagnostics.
  
2	LO
 /LO		Prints on the user's terminal the names of program units
		(from PROGRAM, FUNCTION, SUBROUTINE and BLOCK DATA
		statements).  /LO is the default.

2	NOOP
	#OP
2	OP
 /NOOP:xxx	Disables or enables various optimisations.  Multiple
 /OP:xxx	arguments can be supplied, and may be any of:-

		SPD - optimisation for program speed
		CSE - common subexpression elimination
		STR - strength reduction optimisation for inline code
		BND - global register bindings for inline code

2	RO
 /RO		Directs the compiler to specify pure code and pure data 
 		sections as READ ONLY(RO).  The default is /NORO.
  
2	SN
 /SN		Include Internal Sequence Numbers.  This provides
		line information during traceback, but requires storage
		space and execution time.  /NOSN is the default.

2	SP
 /SP		Automatically spool listing file.  The default is /NOSP.
  
2	VA
 /VA		Enable vectoring of arrays.  /VA is the default.
2	WR
 /WR		Enable compiler warning diagnostics (W-class 
		messages).  The default is /WR.
  
  
 
